Next: gpgv, Up: Helper Tools

### 7.1 Read logs from a socket

Most of the main utilities are able to write their log files to a Unix Domain socket if configured that way. `watchgnupg` is a simple listener for such a socket. It ameliorates the output with a time stamp and makes sure that long lines are not interspersed with log output from other utilities.

`watchgnupg` is commonly invoked as

         watchgnupg --force ~/.gnupg/S.log

This starts it on the current terminal for listening on the socket `~/.gnupg/S.log`.

`watchgnupg` understands these options:

`--force`
  Delete an already existing socket file.
`--verbose`
  Enable extra informational output.
`--version`
  Print version of the program and exit.
`--help`
  Display a brief help page and exit.